Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache Tomcat 7.0.29
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tomcat.jdbc.pool
Class MultiLockFairBlockingQueue.FairIterator

    java.lang.Object
      org.apache.tomcat.jdbc.pool.MultiLockFairBlockingQueue.FairIterator

All Implemented Interfaces:
  Iterator<E>

Enclosing class:
  MultiLockFairBlockingQueue<E>

    protected class MultiLockFairBlockingQueue.FairIterator

extends Object
implements Iterator<E>

Constructor Summary
`MultiLockFairBlockingQueue.FairIterator()`

Method Summary
`boolean` | `hasNext()`
`E` | `next()`
`void` | `remove()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MultiLockFairBlockingQueue.FairIterator

    public MultiLockFairBlockingQueue.FairIterator()

Method Detail

### hasNext

    public boolean hasNext()

  Specified by:
    `hasNext` in interface `Iterator<E>`

### next

    public E next()

  Specified by:
    `next` in interface `Iterator<E>`

### remove

    public void remove()

  Specified by:
    `remove` in interface `Iterator<E>`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache Tomcat 7.0.29
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2012 Apache Software Foundation. All Rights Reserved.